> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an expense amortization schedule

> Get an expense amortization schedule for the given id



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs get /v6/accounting/schedules/expenseAmortizations/{id}
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/accounting/schedules/expenseAmortizations/{id}:
    get:
      tags:
        - Expense Amortizations
      summary: Get an expense amortization schedule
      description: Get an expense amortization schedule for the given id
      operationId: getExpenseAmortization
      parameters:
        - name: id
          in: path
          description: The id of the an expense amortization schedule
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseExpenseAmortizationGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    SuccessResponseExpenseAmortizationGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/ExpenseAmortizationGetDto'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    ExpenseAmortizationGetDto:
      required:
        - amortizationMethod
        - amortizationStatus
        - description
        - endDate
        - glSource
        - id
        - lastUpdatedDateTime
        - lineItems
        - periodsGenerated
        - startDate
        - status
        - totalAmount
        - totalPeriods
      type: object
      properties:
        id:
          type: string
          description: Id of the expense amortization schedule
          example: exa_28868401
        status:
          type: string
          description: Status of the expense amortization schedule
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        amortizationStatus:
          type: string
          description: Amortization status of the expense amortization schedule
          example: ACTIVE
          enum:
            - ACTIVE
            - FULLY_AMORTIZED
            - CANCELLED
        description:
          type: string
          description: Description of the expense amortization schedule
          nullable: true
          example: Annual software license
        totalAmount:
          type: integer
          description: Total amount to amortize over the schedule (in cents)
          format: int32
          example: 120000
        startDate:
          type: string
          description: Date the amortization starts
          format: date
          example: '2026-01-01'
        endDate:
          type: string
          description: Date the amortization ends
          format: date
          example: '2026-12-31'
        totalPeriods:
          type: integer
          description: Total number of periods in the schedule
          format: int32
          example: 12
        amortizationMethod:
          type: string
          description: Method used to spread the amount across periods
          example: STRAIGHT_LINE
          enum:
            - STRAIGHT_LINE
            - PRORATA_DAYS
        glSource:
          $ref: '#/components/schemas/GlSourceExpanded'
        periodsGenerated:
          type: integer
          description: Number of periods generated so far
          format: int32
          example: 3
        lastUpdatedDateTime:
          type: string
          description: Timestamp of when the schedule was last updated
          format: date-time
        lineItems:
          type: array
          description: Line items for each period of the schedule
          items:
            $ref: '#/components/schemas/ExpenseAmortizationLineItemGetDto'
        customData:
          $ref: '#/components/schemas/JsonNode'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - CONFLICT
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    GlSourceExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the general ledger source
          example: mje_12345
      description: General ledger source the schedule was created from
    ExpenseAmortizationLineItemGetDto:
      required:
        - expenseAmortizationSchedulesId
        - id
        - lastUpdatedDateTime
        - lineItemStatus
        - periodDate
        - periodNumber
        - recognizedAmount
        - remainingBalance
      type: object
      properties:
        id:
          type: string
          description: Id of the expense amortization line item
          example: exal_12345
        expenseAmortizationSchedulesId:
          type: string
          description: Id of the expense amortization schedule this line item belongs to
          example: exa_28868401
        periodNumber:
          type: integer
          description: Sequential number of the period within the schedule
          format: int32
          example: 1
        periodDate:
          type: string
          description: Date of the period
          format: date
          example: '2026-01-31'
        recognizedAmount:
          type: integer
          description: Amount recognized in the period (in cents)
          format: int32
          example: 10000
        remainingBalance:
          type: integer
          description: Balance remaining after the period (in cents)
          format: int32
          example: 110000
        lineItemStatus:
          type: string
          description: Status of the line item
          example: PENDING
          enum:
            - PENDING
            - POSTED
            - SKIPPED
        lastUpdatedDateTime:
          type: string
          description: Timestamp of when the line item was last updated
          format: date-time
    JsonNode:
      type: object
      properties:
        empty:
          type: boolean
        array:
          type: boolean
        'null':
          type: boolean
        object:
          type: boolean
        float:
          type: boolean
        string:
          type: boolean
        number:
          type: boolean
        missingNode:
          type: boolean
        valueNode:
          type: boolean
        nodeType:
          type: string
          enum:
            - ARRAY
            - BINARY
            - BOOLEAN
            - MISSING
            - 'NULL'
            - NUMBER
            - OBJECT
            - POJO
            - STRING
        pojo:
          type: boolean
        integralNumber:
          type: boolean
        floatingPointNumber:
          type: boolean
        short:
          type: boolean
        int:
          type: boolean
        long:
          type: boolean
        double:
          type: boolean
        bigDecimal:
          type: boolean
        bigInteger:
          type: boolean
        textual:
          type: boolean
          deprecated: true
        boolean:
          type: boolean
        binary:
          type: boolean
        container:
          type: boolean
        embeddedValue:
          type: boolean
      description: >-
        Custom JSON in which you can store any data with max length of 2000
        characters
      nullable: true
      example:
        internal_key: some_internal_key
        some_other_field: 23434
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.